package jnet.lib.object;

import jnet.lib.Status;
import java.io.Serializable;
import java.util.ArrayList;

public class MapObject  implements Serializable {

    private int map;
    private int status;
    private int id;
    private String name;
    private int objectType;
    private String ip;
    private int x;
    private int y;
    private String user;
    private String password;
    private boolean enablePing;
    private String description;
    private String location;
    private int snmpProfile;
    private ArrayList<SnmpProbe> snmpProbe;
    private boolean active;
    public int pingAttemp;
    private boolean winbox;
    private String winboxPort;
    private boolean ssh;
    private String sshPort;
    private boolean web;
    private String webPort;
    private int webVerze;
    private boolean telnet;
    private String telnetPort;
    private boolean sms;
    private String smsPort;
    private int smsVerze;
    
    public MapObject(int id, 
            String name, 
            int map,
            int objectType, 
            String ip, 
            int x, 
            int y, 
            String user, 
            String password, 
            String description, 
            String location, 
            int snmpProfile, 
            ArrayList<SnmpProbe> snmpProbe, 
            boolean active,
            boolean winbox,
            String winboxPort,
            boolean ssh,
            String sshPort,
            boolean web,
            String webPort,
            int webVerze,
            boolean telnet,
            String telnetPort,
            boolean sms,
            String smsPort,
            int smsVerze
    ) {
        this.status = Status.NA;
        this.id = id;
        this.name = name;
        this.map = map;
        this.objectType = objectType;
        this.ip = ip;
        this.x = x;
        this.y = y;
        this.user = user;
        this.password = password;
        this.description = description;
        this.location = location;
        this.snmpProfile = snmpProfile;
        this.snmpProbe = snmpProbe;
        this.active = active;
        this.winbox = winbox;
        this.winboxPort = winboxPort;
        this.ssh = ssh;
        this.sshPort = sshPort;
        this.web = web;
        this.webPort = webPort;
        this.webVerze = webVerze;
        this.telnet = telnet;
        this.telnetPort = telnetPort;
        this.sms = sms;
        this.smsPort = smsPort;
        this.smsVerze = smsVerze;
    }

    public MapObject() {
        
    }

    public int getMap() {
        return map;
    }

    public void setMap(int map) {
        this.map = map;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getObjectType() {
        return objectType;
    }

    public void setObjectType(int objectType) {
        this.objectType = objectType;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public boolean isEnablePing() {
        return enablePing;
    }

    public void setEnablePing(boolean enablePing) {
        this.enablePing = enablePing;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public int getSnmpProfile() {
        return snmpProfile;
    }

    public void setSnmpProfile(int snmpProfile) {
        this.snmpProfile = snmpProfile;
    }

    public ArrayList<SnmpProbe> getSnmpProbe() {
        return snmpProbe;
    }

    public void setSnmpProbe(ArrayList<SnmpProbe> snmpProbe) {
        this.snmpProbe = snmpProbe;
    }

    public boolean isActive() {
        return active;
    }

    public void setActive(boolean active) {
        this.active = active;
    }

    public int getPingAttemp() {
        return pingAttemp;
    }

    public void setPingAttemp(int pingAttemp) {
        this.pingAttemp = pingAttemp;
    }

    public boolean isWinbox() {
        return winbox;
    }

    public void setWinbox(boolean winbox) {
        this.winbox = winbox;
    }

    public String getWinboxPort() {
        return winboxPort;
    }

    public void setWinboxPort(String winboxPort) {
        this.winboxPort = winboxPort;
    }

    public boolean isSsh() {
        return ssh;
    }

    public void setSsh(boolean ssh) {
        this.ssh = ssh;
    }

    public String getSshPort() {
        return sshPort;
    }

    public void setSshPort(String sshPort) {
        this.sshPort = sshPort;
    }

    public boolean isWeb() {
        return web;
    }

    public void setWeb(boolean web) {
        this.web = web;
    }

    public String getWebPort() {
        return webPort;
    }

    public void setWebPort(String webPort) {
        this.webPort = webPort;
    }

    public int getWebVerze() {
        return webVerze;
    }

    public void setWebVerze(int webVerze) {
        this.webVerze = webVerze;
    }

    public boolean isTelnet() {
        return telnet;
    }

    public void setTelnet(boolean telnet) {
        this.telnet = telnet;
    }

    public String getTelnetPort() {
        return telnetPort;
    }

    public void setTelnetPort(String telnetPort) {
        this.telnetPort = telnetPort;
    }

    public boolean isSms() {
        return sms;
    }

    public void setSms(boolean sms) {
        this.sms = sms;
    }

    public String getSmsPort() {
        return smsPort;
    }

    public void setSmsPort(String smsPort) {
        this.smsPort = smsPort;
    }

    public int getSmsVerze() {
        return smsVerze;
    }

    public void setSmsVerze(int smsVerze) {
        this.smsVerze = smsVerze;
    }

   
    
}
